%define gtk2_version 2.0
%define libxml2_version 2.4.20
%define gnome_vfs2_version 1.9.16
%define gail_version 0.15

Summary: A Gtk+ 2 HTML viewing widget
Name: gtkhtml2
Version: 1.99.9
Release: 1
URL: http://gtkhtml2.codefactory.se/
Source0: libgtkhtml-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk2 >= %{gtk2_version}
Requires: libxml2 >= %{libxml2_version}
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
Requires: gail >= %{gail_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: gail-devel >= %{gail_version}

%description
Gtkhtml2 (sometimes called libgtkhtml2) is a small
and standards compilant library for displaying
html pages.

%package devel
Summary: Libraries, includes, etc to develop Gtkhtml2 applications
Group: Development/Libraries
Requires: gtkhtml2 = %{version}-%{release}
Requires: gtk2-devel >= %{gtk2_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: gail-devel >= %{gail_version}

%description devel
Libraries and include files that can be used to develop Gtkhtml2 applications.

%prep
%setup -q -n libgtkhtml-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)

%{_includedir}/gtkhtml-2.0
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*

%changelog
* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.99.9

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.99.7

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.99.6

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new gail, 1.99.5

* Fri Apr  5 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.99.3

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild for new gnome2 libraries

* Mon Jan 28 2002 Alex Larsson <alexl@redhat.com>
- Initial build.
